< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package zap
  Definition Classes
    hmrc
-  package api
  Definition Classes
    zap
- ScanCompleted
- ScanNotCompleted
- ScanStatus
- Scanner
- UrlsNotCaptured
- ZapAlert
- ZapAlertFilter
- ZapAlerts
- ZapContext
- ZapScan
- ZapSetUp
- ZapTearDown

c

uk.gov.hmrc.zap.api

# ZapAlert 

###

#### case class ZapAlert(other: String = "", method: String = "", evidence: String = "", pluginId: String = "", cweid: String, confidence: String = "", wascid: String = "", description: String = "", messageId: String = "", url: String, reference: String = "", solution: String = "", alert: String = "", param: String = "", attack: String = "", name: String = "", risk: String = "", id: String = "") extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZapAlert
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ZapAlert(other: String = "", method: String = "", evidence: String = "", pluginId: String = "", cweid: String, confidence: String = "", wascid: String = "", description: String = "", messageId: String = "", url: String, reference: String = "", solution: String = "", alert: String = "", param: String = "", attack: String = "", name: String = "", risk: String = "", id: String = "")

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alert: String
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val attack: String
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  val confidence: String
9.  val confidenceCodes: Map[String, String]
10.  val cweid: String
11.  val description: String
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  val evidence: String
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  val id: String
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  val messageId: String
19.  val method: String
20.  def modifyRisk(newRisk: String): ZapAlert
21.  val name: String
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  val other: String
26.  val param: String
27.  val pluginId: String
28.  val reference: String
29.  def references(): List[String]
30.  val risk: String
31.  val riskCodes: Map[String, String]
32.  def riskShortName(): String
33.  def severityScore(): String
34.  val solution: String
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  val url: String
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
40.  val wascid: String

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped